#!/usr/bin/perl

use strict;
use integer;

our %langid;
require 'lcid.ph';

sub langid($) {
    my($s) = @_;

    $s = lc($s);
    $s =~ s/\P{Alnum}+/-/g;

    while ($s ne '') {
	my $lcid = $langid{$s};
	return $lcid if (defined($lcid));

	last unless ($lcid =~ /(.*)\-[^-]+$/);
	$lcid = $1;
    }
    return undef;
}
